ONEKO(6)

NAME oneko - Creates a cute cat chasing around your mouse cursor.

SYNOPSIS
oneko [-help] [-tora] [-dog] [-sakura] [-tomoyo] [-time n] [-speed n] [-idle n] [-name name] [-towindow] [-toname name] [-tofocus] [-position geometry] [-rv] [-noshape] [-fg] [-bg]

DESCRIPTION
oneko changes your mouse cursor into mouse and creates a little cute cat and the cat start chasing around your mouse cursor. If the cat catchup the ``mouse'', start sleeping.

  Options

-help
    Prints help message on usage.

-tora
    Make cat into "tora-neko", a cat wite tiger-like stripe.

-dog
    Runs a dog instead of a cat.

-sakura
    Runs Sakura Kinomoto instead of a cat.

-tomoyo
    Runs Tomoyo Daidouji instead of a cat.

-time interval
    Sets interval timer which determine intervals for cat animation. Default value is 125000 and unit is micro-second. Smaller value makes cat run faster.

-speed distance
    Specify the distance where cat jumps at one move in dot resolution. Default is 16.

-idle speed
    Specify the threshold of the speed which ``mouse'' running away to wake cat up.

-name name
    Specify the window name of cat.

-towindow
    When oneko starts with this option, you must select a window by cursor. Then cat appears and starts chasing the window instead of mouse. You can select another running oneko as the target window. If root window is selected, cat chases mouse as usually. When the target window is not in sight and not closed, cat chases mouse as usually. If the target window is closed, this program exit.

-toname name
    Specify the window name of target to make cat chase it instead of mouse. You can specify another running oneko as the target window. When the target window is not in sight and not closed, cat chases mouse as usually. If the target window is closed, this program exit.

-tofocus
    Makes cat run to and on top of focus window. When focus window is not in sight, cat chases mouse as usually.

-position geometry
    Specify X and Y offsets in pixels to adjust position of cat relative to mouse pointer.

-rv Reverse background color and foreground color.

-noshape
    Don't use SHAPE extension.

-fg color
    Foreground color.

-bg color
    Background color.

-cursor cursornumber
    Specify a cursos number to set when quitting. For example, 132 is the default root cursor.

  Resources
Application name is "neko"(or "tora") and class name is "Oneko".

tora
    Set ``True'' if you want "tora-neko".

time
    Sets interval timer in micro-second.

speed
    Sets distance to jump in pixel.

idle
    Sets speed threshold to wake cat up when ``mouse'' running away.

noshape
    Set ``True'' if you don't want to use SHAPE extension.

reverse
    Set ``True'' if you want to switch foreground and background color.

foreground
    Foreground color.

background
    Background color.

Notes
While this program uses XGetDefault, be sure to use "neko.resouce" form. If you run this program as "tora", by hard of soft link, the -tora option is enabled by default.

BSD Daemon Copyright 1988 by Marshall Kirk McKusick. All Rights Reserved.

Sakura Kinomoto and Tomoyo Daidouji are characters in a comic strip "CARDCAPTOR SAKURA" (CLAMP, Kodansha), with the sanction indicated in CLAMP SCHOOL WEB CAMPUS (http://www.clamp.f-2.co.jp/).

AUTHOR
Original xneko is written by Masayuki Koba and modified to oneko by Tatsuya Kato, and modified furthermore by John Lerchey, Eric Anderson, Toshihiro Kanda and Kiichiroh Mukose.

MAINTAINER
Send questions or problems to mukose@hbar.mp.es.osaka-u.ac.jp